Bug 190937 - Review Request: perl-Module-Install
Review Request: perl-Module-Install
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 190582
Blocks: FE-ACCEPT 190705
  Show dependency treegraph
 
Reported: 2006-05-06 17:39 EDT by Steven Pritchard
Modified: 2011-01-19 04:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 12:52:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-05-06 17:39:41 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Module-Install/perl-Module-Install.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Module-Install-0.62-1.src.rpm
Description:
Module::Install is a package for writing installers for CPAN (or CPAN-like)
distributions that are clean, simple, minimalist, act in a strictly correct
manner with both the ExtUtils::MakeMaker and Module::Build build systems,
and will run on any Perl installation version 5.004 or newer.
Comment 1 Jason Tibbitts 2006-05-07 18:17:01 EDT
The source URL seems to be wrong; is upstream really on your site?  CPAN says
http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Module-Install-0.62.tar.gz,
which I'll take as upstream for the purposes fo this review.

One of the tests spits out some warnings because various utilities are missing;
is it worth adding additional BR:s to get more coverage?

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
follows the Perl specfile template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   92eda243d936f4010883825aa2dd2993  Module-Install-0.62.tar.gz
   92eda243d936f4010883825aa2dd2993  Module-Install-0.62.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane (many manual Requires: not picked by
rpmlint).
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=4, Tests=51,  2 wallclock secs ( 0.58 cusr +  0.26 csys =  0.84 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-05-08 11:17:46 EDT
(In reply to comment #1)
> The source URL seems to be wrong; is upstream really on your site?  CPAN says
> http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Module-Install-0.62.tar.gz,
> which I'll take as upstream for the purposes fo this review.

Oops, apparently I forgot to unset CPAN before running cpanspec.  Sorry.

> One of the tests spits out some warnings because various utilities are missing;
> is it worth adding additional BR:s to get more coverage?

Definitely.  Did you happen to save a build log?  (It would save me another mock
build.)
Comment 3 Steven Pritchard 2006-05-08 13:26:20 EDT
OK, I see the warnings now:

t/03_audotinstall....ok 1/6Warning: links not found in PATH                  
Warning: wget not found in PATH
Warning: ncftpget not found in PATH
Warning: ncftp not found in PATH
Warning: ftp not found in PATH
Warning: gpg not found in PATH
t/03_audotinstall....ok                                                      

I wonder if it might be safer to leave those BRs out so it can't do any network
tests.
Comment 4 Jason Tibbitts 2006-05-08 13:58:42 EDT
We certainly don't want it doing network access; I saw the gpg warning and
wondered if it was going to test something relating to signing.
Comment 5 Jose Pedro Oliveira 2006-05-08 14:15:39 EDT
I believed the warnings are harmless and are being emitted by the CPAN module
that this module loads. It must be complaining about the missing configuration.

The gpg, ftp, ncftp*, wget are CPAN configuration variables.

See the output of 
  $ perl -MCPAN -e shell
  cpan> o conf
or the contents of a CPAN configuration file
  eg: /usr/lib/perl5/5.8.8/CPAN/Config.pm

jpo
Comment 6 Steven Pritchard 2006-05-09 12:52:20 EDT
I'll ignore the warnings then.

The package has been imported into CVS, branches have been created, and builds
have been requested.
Comment 7 Mathieu Bridon 2011-01-19 04:15:06 EST
This package is in EPEL5, but not in EPEL6. Is there any reason for that?

I would like to see this package in EPEL6, and I am willing to help co-maintain it.
Comment 8 Mathieu Bridon 2011-01-19 04:41:13 EST
Nevermind, I just saw it's in the RHEL6 Client repository (I was only looking at the Server one).

Sorry for the spam.

Note You need to log in before you can comment on or make changes to this bug.